### Method

# Gtk Snapshot render_layout

#### Declaration [src]

    void
    gtk_snapshot_render_layout (
      GtkSnapshot* snapshot,
      GtkStyleContext* context,
      double x,
      double y,
      PangoLayout* layout
    )

#### Description [src]

Creates a render node for rendering `layout` according to the style information in `context`, and appends it to the current node of `snapshot`, without changing the current node.

#### Parameters

`context` | `GtkStyleContext`
| The `GtkStyleContext` to use.
| The data is owned by the caller of the function.
`x` | `double`
| X origin of the rectangle.
`y` | `double`
| Y origin of the rectangle.
`layout` | `PangoLayout*`
| The `PangoLayout` to render.
| The data is owned by the caller of the function.